SystemOrganization addCategory: #'DeltaStreams-Installer'!

Object subclass: #DSInstaller
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DeltaStreams-Installer'!

!DSInstaller class methodsFor: 'as yet unclassified' stamp: 'gk 9/4/2009 16:22'!
install
	"DSInstaller install"

	Installer squeaksource
	
	project: 'SystemEditor';				"Main mechanism used for actual Delta apply"
	install: 'SystemEditor-Core';
	install: 'SystemEditor-Squeak';
	install: 'SystemEditor-Traits';
	install: 'SystemEditor-Tests';
	install: 'SystemEditorBrowser';
	
	project: 'Tirade';					"This is used for serialization/deserialization - not essential unless you need to store Deltas"
	install: 'Tirade';
	install: 'Tirade-Tests';
	
	project: 'DeltaStreams';	
	install: 'System';					"Fixes for change notifications"
	install: 'Traits';						"Fixes for change notifications"
	install: 'Monticello';					"Fixes for change notifications"
	install: 'SystemChangeNotification-Tests';

	install: 'DeltaStreams-Model';		"Domain model of Deltas"
	install: 'DeltaStreams-Logging';		"Extensions for hooking into SystemChangeNotification in Squeak"
	install: 'DeltaStreams-Tirade';		"Support for filing out/in Deltas in Tirade syntax"
	install: 'DeltaStreams-Tests'.		"All the tests for all packages"


	self inform: 'DeltaStreams successfully installed!! Time to put your helmet on.'
! !
